pcl::recognition::ORROctreeZProjection::Set Class Reference

`#include <pcl/recognition/ransac_based/orr_octree_zprojection.h>`

## Public Member Functions

| Set (int x, int y)
void | insert (ORROctree::Node *leaf)
std::set< ORROctree::Node *, bool(*)(ORROctree::Node *, ORROctree::Node *)> & | get_nodes ()
int | get_x () const
int | get_y () const

## Static Public Member Functions

static bool | compare_nodes_z (ORROctree::Node *node1, ORROctree::Node *node2)

## Protected Attributes

std::set< ORROctree::Node *, bool(*)(ORROctree::Node *, ORROctree::Node *)> | nodes_
int | x_
int | y_

## Detailed Description

Definition at line 89 of file orr_octree_zprojection.h.

## Constructor & Destructor Documentation

## Set()

pcl::recognition::ORROctreeZProjection::Set::Set | ( | int | x,
|  | int | y
| ) |  |

inline

Definition at line 92 of file orr_octree_zprojection.h.

## Member Function Documentation

## compare_nodes_z()

static bool pcl::recognition::ORROctreeZProjection::Set::compare_nodes_z | ( | ORROctree::Node * | node1,
|  | ORROctree::Node * | node2
| ) |  |

inline static

Definition at line 97 of file orr_octree_zprojection.h.

References pcl::recognition::ORROctree::Node::Data::get3dIdZ(), and pcl::recognition::ORROctree::Node::getData().

## get_nodes()

std::set<ORROctree::Node*, bool(*)(ORROctree::Node*,ORROctree::Node*)>& pcl::recognition::ORROctreeZProjection::Set::get_nodes | ( |  | ) |

inline

Definition at line 106 of file orr_octree_zprojection.h.

## get_x()

int pcl::recognition::ORROctreeZProjection::Set::get_x | ( |  | ) | const

inline

Definition at line 109 of file orr_octree_zprojection.h.

## get_y()

int pcl::recognition::ORROctreeZProjection::Set::get_y | ( |  | ) | const

inline

Definition at line 112 of file orr_octree_zprojection.h.

## insert()

void pcl::recognition::ORROctreeZProjection::Set::insert | ( | ORROctree::Node * | leaf | ) |

inline

Definition at line 103 of file orr_octree_zprojection.h.

## Member Data Documentation

## nodes_

std::set<ORROctree::Node*, bool(*)(ORROctree::Node*,ORROctree::Node*)> pcl::recognition::ORROctreeZProjection::Set::nodes_

protected

Definition at line 115 of file orr_octree_zprojection.h.

## x_

int pcl::recognition::ORROctreeZProjection::Set::x_

protected

Definition at line 116 of file orr_octree_zprojection.h.

## y_

int pcl::recognition::ORROctreeZProjection::Set::y_

protected

Definition at line 116 of file orr_octree_zprojection.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/ransac_based/orr_octree_zprojection.h